<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:op="utc.fr:ics/opale3" xmlns:java="http://xml.apache.org/xslt/java" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="sc sp java op">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="op:odRoot">
		<xsl:value-of select="execute(if(not(getEntryBuffer('resLnkList')), initBuffer('resLnkList',java:java.util.HashSet.new())), '')"/>
		<xsl:for-each select="sp:ue">
			<xsl:value-of select="getContent(gotoSubModel(), 'resLnkList')" disable-output-escaping="yes"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="op:*">
		<xsl:for-each select="sp:* | sc:*">
			<xsl:value-of select="getContent(gotoSubModel(), 'resLnkList')" disable-output-escaping="yes"/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="op:res | op:gallery">
		<xsl:if test="checkNoCycleAgent()">
			<xsl:for-each select="sp:res | sp:int">
				<xsl:if test="setEntryBuffer('resLnkList',string(@sc:refUri))">
					<xsl:value-of select="getContent(gotoSubModel(), 'resLnkList')" disable-output-escaping="yes"/>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:template match="op:txtRes">
		<xsl:if test="checkNoCycleAgent()">
			<xsl:for-each select="sp:img">
				<xsl:if test="setEntryBuffer('resLnkList',string(@sc:refUri))">
					<xsl:value-of select="getContent(gotoSubModel(), 'resLnkList')" disable-output-escaping="yes"/>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:template match="op:altRes">
		<xsl:if test="checkNoCycleAgent()">
			<xsl:for-each select="sp:staticRes">
				<xsl:if test="setEntryBuffer('resLnkList',string(@sc:refUri))">
					<xsl:value-of select="getContent(gotoSubModel(), 'resLnkList')" disable-output-escaping="yes"/>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>