<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:op="utc.fr:ics/opale3" xmlns:java="http://xml.apache.org/xslt/java" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="sc sp java op">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="op:*">
		<xsl:value-of select="execute(if(not(getEntryBuffer('ucLnkList')), initBuffer('ucLnkList',java:java.util.HashSet.new())), '')"/>
		<xsl:for-each select="sp:ue | sp:div | sp:courseUa | sp:practUc | sp:assmntUa">
			<xsl:value-of select="getContent(gotoSubModel(), 'ucLnkList')" disable-output-escaping="yes"/>
		</xsl:for-each>
		<xsl:for-each select="sp:courseUc[@sc:refUri]">
			<xsl:if test="setEntryBuffer('ucLnkList',string(@sc:refUri))">
				<xsl:value-of select="getContent(gotoSubModel(), 'ucLnkList')" disable-output-escaping="yes"/>
			</xsl:if>
		</xsl:for-each>
		<xsl:if test="checkNoCycleAgent()">
			<xsl:for-each select="descendant::sc:uLink[@role='ucLnk']">
				<xsl:value-of select="getContent(gotoSubModel(), 'ucLnkList')" disable-output-escaping="yes"/>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>